from django.contrib import admin
from .models import FacebookPage, FacebookReview, FacebookReviewReply


class FacebookPageAdmin(admin.ModelAdmin):
    fields = ('id', 'name', 'token', 'location')
    list_display = ('id', 'name', 'location', 'token')
    readonly_fields = ('id', 'token')
    search_fields = ('name', 'id',)


class FacebookReviewAdmin(admin.ModelAdmin):
    list_display = ('id', 'review_text', 'page', 'recommendation_type', 'create_time',)
    list_filter = ['page', 'recommendation_type']
    ordering = ['-create_time']


class FacebookReviewReplyAdmin(admin.ModelAdmin):
    list_display = ('review_id', 'replied_text', 'create_time')


admin.site.register(FacebookPage, FacebookPageAdmin)
admin.site.register(FacebookReview, FacebookReviewAdmin)
admin.site.register(FacebookReviewReply, FacebookReviewReplyAdmin)
